petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscStrendswithwhich

Determines if a string ends with one of several possible strings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrendswithwhich(const char a[],const char *const *bs,PetscInt *cnt)

Not Collective

### Input Parameters

| a | - pointer to string
| bs | - strings to endwith (last entry must be null)

### Output Parameter

cnt -the index of the string it ends with or 1+the last possible index

Notes: Not for use in Fortran

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages